View Issue Details

IDProjectCategoryView StatusLast Update
0024584mantisbtupgradepublic2018-07-22 07:11
ReporterK1LLUM1N471Assigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionno change required 
Product Version2.15.0 
Target VersionFixed in Version 
Summary0024584: Migration and Upgrade 1.2.19 -> 2.15.0
Description

Hello,

at first I migrated MantisBT v1.2.19 from one system to another. Then I upgraded from v1.2.19 to v2.15.0 on the new system.

                              Old System -> New System         

MantisBT Version: 1.2.19 -> 2.15.0
MySQL Version: 5.5.60 -> 5.7.22
PHP Version: 5.5.9 ->7.2.5

During the upgrade process I had the error message "SYSTEM NOTICE: 'unserialize(): Error at offset 97 of 636 bytes' in '/var/www/html/mantisbt-2.15.0/core/install_helper_functions_api.php' line 657 BAD".
So I followed the instruction (https://www.mantisbt.org/bugs/view.php?id=21312#c57283) and deleted all entries with 'type=3'.
Used SQL Statement: DELETE FROM mantis_config_table WHERE type=3;
The installation went through, the login was successful and all data seems to be consistent.

Now I would like to know what might not work because of deleting 'type=3' content or in other words: what is the table and the content for?

Kind regards,
K1LLUM1N471

TagsNo tags attached.

Activities

dregad

dregad

2018-07-05 04:42

developer   ~0060215

Now I would like to know what might not work because of deleting 'type=3' content or in other words: what is the table and the content for?

The config table stores various system parameters. Deleting them will result in fallback to default values / behavior as specified in config_inc.php / config_default_inc.php.
Not knowing exactly what you deleted, it is not possible to answer your question. It could mess up with your workflow settings, colors, custom status and many other things.

I would not recommend this "carpet-bombing" approach of blindly deleting all type 3 records, you would be much better off analyzing the root cause of each error, and fix them indivdually. You might want to try the upgrade again using a nightly build (http://mantisbt.org/builds.php), as the installer has been improved to provide more helpful error messages, helping you identify the offending data.

K1LLUM1N471

K1LLUM1N471

2018-07-09 08:58

reporter   ~0060231

Thank you, that's why I'm testing the migration and upgrade process in a VM with Snapshots first.
I tried the upgrade again. This time to v2.16.0 (mantisbt-2.16.0-dev-master-98ea423) to get more debug information.

The error was in "status_enum_workflow". I had to replace the german umlaut (ä, ö, ü) by ae, oe and ue.
Now I get an error in "default_notify_flags" (project_id='0')
config_id project_id user_id access_reqd type value
default_notify_flags 0 0 90 3 {"reporter":1,"handler":1,"threshold_min":100,"threshold_max":0}
Do you have a proposal, here?

Kind regards,
K1LLUM1N471

K1LLUM1N471

K1LLUM1N471

2018-07-11 04:00

reporter   ~0060240

I followed your suggestion and instead of deleting all 20 entries of type = '3', I reduced them finally to 6 entries by the help of the debug information of the daily build version.

a:7:{i:10;s:81:"20:Rückmeldung,30:anerkannt,40:bestätigt,50:zugewiesen,80:erledigt,90:geschlossen";i:20;s:73:"10:neu,30:anerkannt,40:bestätigt,50:zugewiesen,80:erledigt,90:geschlossen";i:30;s:75:"10:neu,20:Rückmeldung,40:bestätigt,50:zugewiesen,80:erledigt,90:geschlossen";i:40;s:75:"10:neu,20:Rückmeldung,30:anerkannt,50:zugewiesen,80:erledigt,90:geschlossen";i:50;s:74:"10:neu,20:Rückmeldung,30:anerkannt,40:bestätigt,80:erledigt,90:geschlossen";i:80;s:76:"10:neu,20:Rückmeldung,30:anerkannt,40:bestätigt,50:zugewiesen,90:geschlossen";i:90;s:73:"10:neu,20:Rückmeldung,30:anerkannt,40:bestätigt,50:zugewiesen,80:erledigt";}
mysql> DELETE FROM mantis_config_table WHERE (config_id = 'status_enum_workflow' AND project_id = '0' AND type = '3');

{"reporter":1,"handler":1,"threshold_min":100,"threshold_max":0}
mysql> DELETE FROM mantis_config_table WHERE (config_id = 'default_notify_flags' AND project_id = '0' AND type = '3');

{"owner":{"monitor":1,"bugnotes":1},"reopened":{"monitor":1,"bugnotes":1},"deleted":{"monitor":1,"bugnotes":1},"bugnote":{"monitor":1,"bugnotes":1},"relationship":{"monitor":1,"bugnotes":1},"feedback":{"monitor":1,"bugnotes":1},"acknowledged":{"monitor":1,"bugnotes":1},"confirmed":{"monitor":1,"bugnotes":1},"assigned":{"monitor":1,"bugnotes":1},"resolved":{"monitor":1,"bugnotes":1},"closed":{"monitor":1,"bugnotes":1}}
mysql> DELETE FROM mantis_config_table WHERE (config_id = 'notify_flags' AND project_id = '0' AND type = '3');

{"owner":{"monitor":1,"bugnotes":1},"reopened":{"monitor":1,"bugnotes":1},"deleted":{"monitor":1,"bugnotes":1},"bugnote":{"monitor":1,"bugnotes":1},"relationship":{"monitor":1,"bugnotes":1},"feedback":{"monitor":1,"bugnotes":1},"acknowledged":{"monitor":1,"bugnotes":1},"confirmed":{"monitor":1,"bugnotes":1},"assigned":{"monitor":1,"bugnotes":1},"resolved":{"monitor":1,"bugnotes":1},"closed":{"monitor":1,"bugnotes":1}}
mysql> DELETE FROM mantis_config_table WHERE (config_id = 'notify_flags' AND project_id = '10' AND type = '3');

{"owner":{"monitor":1,"bugnotes":1},"reopened":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"deleted":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"bugnote":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"relationship":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"new":{"threshold_min":"70","threshold_max":"70"},"feedback":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"acknowledged":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"confirmed":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"assigned":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"resolved":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"closed":{"monitor":1,"bugnotes":1}}
mysql> DELETE FROM mantis_config_table WHERE (config_id = 'notify_flags' AND project_id = '4' AND type = '3');

{"owner":{"monitor":1,"bugnotes":1},"reopened":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"deleted":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"bugnote":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"relationship":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"feedback":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"acknowledged":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"confirmed":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"assigned":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"resolved":{"monitor":1,"bugnotes":1,"threshold_min":"70","threshold_max":"70"},"closed":{"monitor":1,"bugnotes":1}}
mysql> DELETE FROM mantis_config_table WHERE (config_id = 'notify_flags' AND project_id = '5' AND type = '3');

Kind regards,
K1LLUM1N471

Issue History

Date Modified Username Field Change
2018-07-05 04:03 K1LLUM1N471 New Issue
2018-07-05 04:42 dregad Assigned To => dregad
2018-07-05 04:42 dregad Status new => resolved
2018-07-05 04:42 dregad Resolution open => no change required
2018-07-05 04:42 dregad Note Added: 0060215
2018-07-09 08:58 K1LLUM1N471 Note Added: 0060231
2018-07-11 04:00 K1LLUM1N471 Note Added: 0060240
2018-07-22 07:11 atrol Status resolved => closed